View Issue Details

IDProjectCategoryView StatusLast Update
0000728SymmetricDSImprovementpublic2014-02-02 20:52
ReporterabrougherAssigned Toabrougher 
PrioritylowSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version3.1.0Fixed in Version3.1.0 
Summary0000728: Lookup table router should throw an exception when the router expression is invalid.
DescriptionThere is no clear feedback to a user when an invalid Lookup table router expression is used. When an invalid expression is used, the router appears to be working but does not route any data.
Additional InformationThe expression should have a new line for every key value pair but sometimes, users try to put the entire expression on one line.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 585d617a

2012-07-26 22:20:50

abrougher

Details Diff
0000728: Lookup table router should throw an exception when the router expression is invalid.

Modified the LookupTableDataRouter to validate Lookup Table expressions.

Created unit tests to test validating Lookup Table router expressions.

0000728
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/LookupTableDataRouter.java Diff File
add - symmetric-core/src/test/java/org/jumpmind/symmetric/route/LookupTableDataRouterTest.java Diff File

Issue History

Date Modified Username Field Change
2012-07-25 13:25 abrougher New Issue
2012-07-25 13:25 abrougher Status new => assigned
2012-07-25 13:25 abrougher Assigned To => abrougher
2012-08-11 08:29 chenson Status assigned => resolved
2012-08-11 08:29 chenson Fixed in Version => 3.1.0
2012-08-11 08:29 chenson Resolution open => fixed
2012-08-14 07:57 chenson Status resolved => closed
2014-02-02 20:52 abrougher Changeset attached => SymmetricDS trunk r6094
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master 585d617a